Skip to content

Retrieve an existing Task

GEThttps://api.neuroscale.io/v2.0/tasks/{task-id}

Path parameters

Name Type Description
task-id String Unique identifier of the Task.

The Task resource has the following attributes:

Name Type Description
created_at Timestamp Date and time of creation as a Unix timestamp.
description String Description of the Task.
id String Unique identifier of the Task.
name String Name of the Task.
object String Resource type (value is "task").
parameters Object / Hash Object of key-value pairs defining user-adjustable Pipeline parameters and their Task-specific values.
pipeline String Unique identifier of the Pipeline used to create the Task.
properties Object / Hash User-editable object of key-value pairs that can be used to add arbitrary tags to the Task (for personal use).
state String State of the Task (value is one of "submitted", "pending", "runnable", "starting", "running" ,"failed" or "succeeded).
state_reason string Reason for Task being in current state, if any.
exit_code Integer Exit code of Task when run.
updated_at Timestamp Date and time of last modification as a Unix timestamp.
user String Unique identifier of the User that owns the Task.

Authentication

Type: Access token
Required scopes: task or read:task

Responses

Example response — 200

{
    "created_at": 1485280279,
    "description": "Description of Task",
    "id": "tsk_b3x5WkqCV4X3ebDKkNBZxB",
    "name": "My Task",
    "object": "task",
    "parameters": {
        "input_file": "ERP_Data.set",
        "output_file": "ERP_Data_out.set"
    },
    "pipeline": "pl_7DXHottSQRuxRsMJFZoGaU",
    "properties": {
        "key_1": "value_1",
        "key_2": "value_2"
    },
    "state": "succeeded",
    "state_reason": "",
    "exit_code": "0",
    "updated_at": 1485280279,
    "user": "usr_dmagKotr8jXxGimEkp8cEo"
}